Bug 1265273 - debuginfo-install pulls gcc-debuginfo for no reason
debuginfo-install pulls gcc-debuginfo for no reason
Status: CLOSED DUPLICATE of bug 1322599
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 10:12 EDT by David Kupka
Modified: 2016-07-20 05:07 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:59:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kupka 2015-09-22 10:12:35 EDT
Description of problem:
When installing debuginfo for krb5-server or openldap-servers and probably others dnf pulls also gcc-debuginfo package which is not only useless here but also slows the process down significantly because of its size (~240MB).

Version-Release number of selected component (if applicable):
# dnf --version
1.1.1
  Installed: dnf-0:1.1.1-2.fc22.noarch at 2015-09-09 09:22
  Built    : Fedora Project at 2015-09-08 12:24

  Installed: rpm-0:4.12.0.1-12.fc22.x86_64 at 2015-07-03 10:22
  Built    : Fedora Project at 2015-06-29 10:36

How reproducible:
Always

Steps to Reproduce:
1. # dnf debuginfo-install krb5-server-1.13.2-5.fc22.x86_64

Actual results:
Dependencies resolved.
=============================================================================================================================================================================================================================================
 Package                                                      Arch                                         Version                                                Repository                                                            Size
=============================================================================================================================================================================================================================================
Installing:
 gcc-base-debuginfo                                           x86_64                                       5.1.1-4.fc22                                           Fedora-22-x86_64-updates-debug                                       3.3 M
 gcc-debuginfo                                                x86_64                                       5.1.1-4.fc22                                           Fedora-22-x86_64-updates-debug                                       240 M
 glibc-debuginfo                                              x86_64                                       2.21-7.fc22                                            Fedora-22-x86_64-updates-debug                                       9.3 M
 glibc-debuginfo-common                                       x86_64                                       2.21-7.fc22                                            Fedora-22-x86_64-updates-debug                                       9.7 M
 krb5-debuginfo                                               x86_64                                       1.13.2-5.fc22                                          Fedora-22-x86_64-updates-debug                                       4.1 M
 libselinux-debuginfo                                         x86_64                                       2.3-10.fc22                                            Fedora-22-x86_64-updates-debug                                       1.0 M
 nss-softokn-debuginfo                                        x86_64                                       3.20.0-1.0.fc22                                        Fedora-22-x86_64-updates-debug                                       1.8 M
 openssl-debuginfo                                            x86_64                                       1:1.0.1k-12.fc22                                       Fedora-22-x86_64-updates-debug                                       3.7 M
 pcre-debuginfo                                               x86_64                                       8.37-4.fc22                                            Fedora-22-x86_64-updates-debug                                       1.2 M

Transaction Summary
=============================================================================================================================================================================================================================================
Install  9 Packages

Total download size: 275 M
Installed size: 1.2 G
Is this ok [y/N]:

Expected results:
Only needed packages should be installed.

Additional info:
Comment 1 Michael Mráka 2015-09-23 09:51:37 EDT
Should be fixed as a part of
https://github.com/rpm-software-management/dnf-plugins-core/pull/116
Comment 2 Mike McCune 2016-03-28 19:16:15 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:29:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 13:59:07 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Igor Gnatenko 2016-07-20 05:07:49 EDT

*** This bug has been marked as a duplicate of bug 1322599 ***

Note You need to log in before you can comment on or make changes to this bug.